/*
 * An eXtreme Programming Episode
 * by Robert Martin and Robert Ross
 */

package bowlingxp.v1;

public class Game {
    
    private int punteggio = 0;
    private int[] tiri = new int[21];
    private int tiroCorrente = 0;
    
    public int getPunteggio() {
        return punteggio;
    }
    
    public void add(int birilli) {
        tiri[tiroCorrente++] = birilli;
        punteggio += birilli;
    }
    
    public int getPunteggioFrame(int frame) {
        int punti = 0;
        for (int palla = 0; (frame > 0 && palla < tiroCorrente); palla += 2, frame--) {
            punti += tiri[palla] + tiri[palla+1];
        }
        return punti;
    }
    
}
