/*
 * An eXtreme Programming Episode
 * by Robert Martin and Robert Ross
 */

package bowlingxp.v3;

public class Game {
    
    private int frameCorrente = 0;
    private boolean primoTiroFrame = true;
    private Scorer scorer = new Scorer();
    
    public int getPunteggio() {
        return getPunteggioFrame(frameCorrente);
    }
    
    public void add(int birilli) {
        scorer.addTiro(birilli);
        aggiustaFrameCorrente(birilli);
    }
    
    private void aggiustaFrameCorrente(int birilli) {
        if (primoTiroFrame == true) {
            if (aggiustaFramePerStrike(birilli) == false) {
                primoTiroFrame = false;
            }
        } else {
            primoTiroFrame=true;
            avanzaFrame();
        }
    }
    
    private boolean aggiustaFramePerStrike(int birilli) {
        if (birilli == 10) {
            avanzaFrame();
            return true;
        }
        return false;
    }
    
    private void avanzaFrame() {
        frameCorrente = Math.min(10, frameCorrente + 1);
    }
    
    public int getPunteggioFrame(int numeroFrame) {
        return scorer.getPunteggioFrame(numeroFrame);
    }
    
}
