/*
 * An eXtreme Programming Episode
 * by Robert Martin and Robert Ross
 */

package bowlingxp.v1.test;

import junit.framework.*;
import bowlingxp.v1.*;

public class TestGame extends TestCase {
    
    public TestGame(String testName) {
        super(testName);
    }
    
    public void testOneThrow() {
        Game g = new Game();
        g.add(5);
        assertEquals(5, g.getPunteggio());
    }
    
    public void testTwoThrowsNoMark() {
        Game g = new Game();
        g.add(5);
        g.add(4);
        assertEquals(9, g.getPunteggio());
    }
    
    public void testFourThrowsNoMark() {
        Game g = new Game();
        g.add(5);
        g.add(4);
        g.add(7);
        g.add(2);
        assertEquals(18, g.getPunteggio());
        assertEquals(9, g.getPunteggioFrame(1));
        assertEquals(18, g.getPunteggioFrame(2));
    }
    
}

