/*
 * An eXtreme Programming Episode
 * by Robert Martin and Robert Ross
 */

package bowlingxp.v2;

public class Game {
    
    private int punteggio = 0;
    private int[] tiri = new int[21];
    private int tiroCorrente = 0;
    private int frameCorrente = 1;
    private boolean primoTiro = true;
    
    public void add(int birilli) {
        tiri[tiroCorrente++] = birilli;
        punteggio += birilli;
        aggiustaFrameCorrente(birilli);
    }
    
    private void aggiustaFrameCorrente(int birilli) {
        if (primoTiro == true) {
            if( birilli == 10 ) // strike
                frameCorrente++;
            else
                primoTiro = false;
        } else {
            primoTiro = true;
            frameCorrente++;
        }
        frameCorrente = Math.min(11, frameCorrente);
    }
    
    public int getPunteggio() {
        return getPunteggioFrame(getFrameCorrente()-1);
    }
    
    public int getFrameCorrente() {
        return frameCorrente;
    }
    public int getPunteggioFrame(int frame) {
        int palla = 0;
        int punti = 0;
        for (int i = 0; i < frame; i++) {
            int primoTiro = tiri[palla++];
            if (primoTiro == 10) {
                punti += 10 + tiri[palla] + tiri[palla+1];
            } else {
                int secondoTiro = tiri[palla++];
                int puntiFrame = primoTiro + secondoTiro;
                if ( puntiFrame == 10 )
                    punti += puntiFrame + tiri[palla];
                else
                    punti += puntiFrame;
            }
        }
        return punti;
    }
    
}
